Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003939 [DCSS] Patches feature N/A 2011-05-08 01:04 2011-10-13 18:57
Reporter brendan View Status public  
Assigned To SamB
Priority normal Resolution done  
Status closed   Product Branch 0.10 ancient branch
Summary 0003939: Worley Noise Abyss terrain
Description Worley Noise is a form of procedural noise based on tessellation of a surface into convex polyhedra. Attached is a first draft of a patch to generate more coherent Abyss terrain using Worley noise.

When a player is banished, part of the dungeon within LOS_RADIUS is created in the abyss.
Additional Information
Tags No tags attached.
Attached Files ? file icon worley-abyss.patch [^] (19,909 bytes) 2011-05-08 01:04 [Show Content]
? file icon 0001-A-worley-noise-abyss.patch [^] (27,805 bytes) 2011-05-23 21:12 [Show Content]
? file icon 0001-Abyssal-Knights-are-better-not-in-stone.patch [^] (814 bytes) 2011-05-24 23:55 [Show Content]

- Relationships

-  Notes
(0015212)
SamB (developer)
2011-10-13 18:57

New abyss has been in for a while; not sure if this is quite what made it in or not, but thanks!

- Issue History
Date Modified Username Field Change
2011-05-08 01:04 brendan New Issue
2011-05-08 01:04 brendan File Added: worley-abyss.patch
2011-05-23 21:11 brendan Status new => feedback
2011-05-23 21:11 brendan Description Updated
2011-05-23 21:12 brendan File Added: 0001-A-worley-noise-abyss.patch
2011-05-24 23:55 brendan File Added: 0001-Abyssal-Knights-are-better-not-in-stone.patch
2011-10-13 18:57 SamB Note Added: 0015212
2011-10-13 18:57 SamB Status feedback => resolved
2011-10-13 18:57 SamB Fixed in Branch => 0.10 development branch
2011-10-13 18:57 SamB Resolution open => done
2011-10-13 18:57 SamB Assigned To => SamB
2011-10-13 18:57 SamB Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker